Download it now!
Bug 66620 - wrong date names in automatic field when converted from MS Word
Summary: wrong date names in automatic field when converted from MS Word
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 13:34 UTC by Pablo Rodríguez
Modified: 2014-05-20 12:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
wrong date names in English with document language es-ES (23.50 KB, application/msword)
2013-07-05 13:34 UTC, Pablo Rodríguez
Details
ODT document that shows the wrong behaviour (10.07 KB, application/vnd.oasis.opendocument.text)
2013-07-05 13:42 UTC, Pablo Rodríguez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo Rodríguez 2013-07-05 13:34:29 UTC
Created attachment 82074 [details]
wrong date names in English with document language es-ES

Hi there,

in the attached document you have a minimal sample with automatic date field.

The file was created with Word 2003 and document language is Spanish.

The issue is that I get the following date fields:

    Friday, 05 de July de 2013
    05 de July de 2013

Well, I guess weekday an month names should be also in Spanish.

Could you fix this?

Many thanks for your help,


Pablo
Comment 1 Pablo Rodríguez 2013-07-05 13:42:50 UTC
Created attachment 82075 [details]
ODT document that shows the wrong behaviour

In the attachment you have the converted .odt file, in which I added a Writer-native automatic date field. This native field is displayed right.
Comment 2 Pablo Rodríguez 2013-07-30 18:46:42 UTC
Well, the bug still appears in LO-4.1.0.

The company I have copied this minimal sample from has just migrated from MS Office and it has many Word documents containing this automatic field.

Do you need any information to change bug status from unconfirmed to new?

Many thanks for your help,


Pablo
Comment 3 Jean-Baptiste Faure 2013-08-15 16:40:15 UTC
I reproduce with LO 4.1.2.0.0+ (Build ID: 9c0b035c617b0ee4095e673e756d0a93df7864a) and master (Version: 4.2.0.0.alpha0+
Build ID: 10cbb13f723e4466165aa9ca392cd2d6ccb50748) under Linux / Ubuntu 12.04 x86-64.
There is something strange: when I edit the date field I can see several possible formats but they are in English or Japanese. If I choose "Other formats..." the proposed language is Japanese ...

Best regards. JBF
Comment 4 tommy27 2013-08-20 15:18:03 UTC
setting status as NEW according to previous comment.

I also confirm the issue with 4.1.0.4 under Win7 64bit
Comment 5 Lukas Jelinek 2014-01-15 22:58:37 UTC
I can confirm very similar behavior (probably having the same reason) in Calc.

Steps to reproduce (the language settings are set to Czech):
1) Create a new Calc document.
2) Write something like "10. červenec 2012" into a cell.

Expected behavior:
- The written value is treated as a date. It is formatted accordingly to the current cell date formatting. It can be used in calculations.

Current behavior:
- The written value is treated as a text. It is formatted as a plain text. It can NOT be used in calculations.

If I write a date from any other month than July ("červenec" in Czech) it works correctly.
Comment 6 Petr Valach 2014-01-19 17:29:31 UTC
Confirm that, same behavior. Version 4.2.0.1.
Comment 7 Pablo Rodríguez 2014-03-23 09:53:53 UTC
Still there in version 4.2.2.1.
Comment 8 Cássio Alexandre Damião 2014-04-16 01:19:23 UTC
Hi,

The bug still appears in LibreOffice 4.2.3.3.
Comment 9 Eike Rathke 2014-05-17 11:24:41 UTC
(In reply to comment #5)
> I can confirm very similar behavior (probably having the same reason) in
> Calc.

That's something completely different, unrelated, tracked and fixed with bug 78119.
Comment 10 Pablo Rodríguez 2014-05-17 11:53:36 UTC
Still not fixed in version 4.2.4.2.

This nasty bug shows up in business documents migrated from MS Word to LO Writer.

The bug was reported ten months ago. Could it be fixed in the next version? If not, in which version would it be fixed?

Many thanks for your help.
Comment 11 Commit Notification 2014-05-19 19:47:44 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d361388060741fe8e2f1ba059fba95707bdc233

resolved fdo#66620 keywords occur in unquoted context only



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Eike Rathke 2014-05-19 19:58:00 UTC
Pending review for 4-2 at https://gerrit.libreoffice.org/9405
Comment 13 Commit Notification 2014-05-20 12:22:58 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=300d27b0ae4665001ec30b47af2142f6c253f370&h=libreoffice-4-2

resolved fdo#66620 keywords occur in unquoted context only


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.